Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Interface ParsedURLProtocolHandler

All Known Implementing Classes:
  AbstractParsedURLProtocolHandler

public interface ParsedURLProtocolHandler

Provider interface for new url protocols, used by the ParsedURL class.

Method Summary
`java.lang.String` | `getProtocolHandled()` Returns the protocol to be handled by this class.
`ParsedURLData` | `parseURL(ParsedURL basepurl, java.lang.String urlStr)` Parse a relative url string of this protocol.
`ParsedURLData` | `parseURL(java.lang.String urlStr)` Parse an absolute url string.

Method Detail

### getProtocolHandled

    public java.lang.String getProtocolHandled()

  Returns the protocol to be handled by this class. The protocol must _always_ be the part of the URL before the first ':'.

### parseURL

    public ParsedURLData parseURL(java.lang.String urlStr)

  Parse an absolute url string.

### parseURL

    public ParsedURLData parseURL(ParsedURL basepurl,
                                  java.lang.String urlStr)

  Parse a relative url string of this protocol.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.